enum EFormWidgetParser{
  Card,
  Flexible,
  FullSizeColumn,
  PartialSizeColumn,
  RadioGroup,
  TextField,
  DropDown,
  DatePicker,
  TimePicker,
  CheckBoxGroup
}

extension EFormWidgetParserExt on EFormWidgetParser{
  String get value {
    switch(this){
      case EFormWidgetParser.Card: return "Card";
      case EFormWidgetParser.Flexible: return "Flexible";
      case EFormWidgetParser.FullSizeColumn: return "FullSizeColumn";
      case EFormWidgetParser.PartialSizeColumn: return "PartialSizeColumn";
      case EFormWidgetParser.RadioGroup: return "RadioGroup";
      case EFormWidgetParser.TextField: return "TextField";
      case EFormWidgetParser.DropDown: return "DropDown";
      case EFormWidgetParser.DatePicker: return "DatePicker";
      case EFormWidgetParser.TimePicker: return "TimePicker";

      case EFormWidgetParser.CheckBoxGroup: return "CheckBoxGroup";
    }
  }
}